Name:          ukui-bluetooth
Version:       4.1.0.1
Release:       1
Summary:       Advanced ukui bluetooth
License:       GPLv2+
URL:           http://www.ukui.org
Source0:       %{name}-%{version}.tar.gz


BuildRequires: glib2-devel 
BuildRequires: gsettings-qt-devel
BuildRequires: kf5-bluez-qt-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: libkysdk-qtwidgets-devel
BuildRequires: libkysdk-waylandhelper-devel
BuildRequires: polkit-qt5-1-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: libukcc-devel
BuildRequires: ukui-interface
BuildRequires: libXcursor-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libpeony-devel
BuildRequires: libpeony3
BuildRequires: libkysdk-sysinfo-devel


Requires: libnotify
Requires: bluez >= 5.0
Requires: bluez-obexd
Requires: peony-extensions
Requires: kf5-bluez-qt
Requires: kf5-bluez-qt-devel


%description
A lightweight Bluetooth tool based on libkf5bluezqt6 on the UKUI desktop environment

%prep
%setup -q

%build
mkdir build && cd build
%{qmake_qt5} ..
%{make_build}

%install
rm -rf $RPM_BUILD_ROOT 
pushd build
%{make_install} INSTALL_ROOT=%{buildroot}
popd 

mkdir -p %{buildroot}/usr/share/ukcc-bluetooth/translations/
cp -r %{_builddir}/%{name}-%{version}/ukcc-bluetooth/translations/*.qm %{buildroot}/usr/share/ukui-bluetooth/translations/

mkdir -p %{buildroot}/usr/share/ukui-bluetooth/translations/
cp -r %{_builddir}/%{name}-%{version}/ukui-bluetooth/translations/*.qm %{buildroot}/usr/share/ukui-bluetooth/translations/

mkdir -p %{buildroot}/etc/xdg/autostart/
cp -r %{_builddir}/%{name}-%{version}/data/ukui-bluetooth.desktop* %{buildroot}/etc/xdg/autostart/


%clean
rm -rf $RPM_BUILD_ROOT


%pre



%post
set -e

glib-compile-schemas /usr/share/glib-2.0/schemas/

#判断命令是否存在
if [ -x /usr/share/kylin-system-updater/kylin-reboot-required ]; then
    #执行请求重启提示
    /usr/share/kylin-system-updater/kylin-reboot-required
fi


%files 
%{_sysconfdir}/dbus-1/system.d/com.bluetooth.systemdbus.conf
%{_sysconfdir}/dbus-1/system.d/org.bluez.Agent1.conf
%{_sysconfdir}/xdg/autostart/ukui-bluetooth.desktop
%{_bindir}/bluetoothService
%{_bindir}/ukui-bluetooth
%{_datadir}/dbus-1/system-services/com.bluetooth.systemdbus.service
%{_datadir}/glib-2.0/schemas/org.ukui.bluetooth.gschema.xml
%{_datadir}/polkit-1/actions/com.bluetooth.systemdbus.policy
%{_datadir}/ukui-bluetooth/translations/
%{_bindir}/profileDaemon
%{_prefix}/lib64/ukui-control-center/libukcc-bluetooth.so
%{_datadir}/ukui-bluetooth/file-transfer-failed.svg
%{_datadir}/ukui-bluetooth/file-transfer-success.svg
%{_datadir}/ukui-bluetooth/*.svg


%changelog
* Mon Apr 08 2024 huayadong <huayadong@kylinos.cn> - 4.1.0.1-1
- update version to 4.1.0.1

* Sat Apr 08 2023 douyan <douyan@kylinos.cn> - 1.0.3-3
- add requires pulseaudio-module-bluetooth

* Wed Feb 08 2023 peijiankang <peijiankang@kylinos.cn> - 1.0.3-2
- add build debuginfo and debugsource

* Fri Nov 18 2022 douyan <douyan@kylinos.cn> - 1.0.3-1
- update to upstream version 1.0.3

* Wed Aug 03 2022 tanyulong <tanyulong@kylinos.cn> - 1.0.2-3
- fix startup segfault issue

* Tue Jun 21 2022 peijiankang <peijiankang@kylinos.cn> - 1.0.2-2
- Remove kf5-bluez-qt-common

* Tue Jun 21 2022 peijiankang <peijiankang@kylinos.cn> - 1.0.2-1
- update version to 1.0.2

* Wed Dec 08 2021 tanyulong <tanyulong@kylinos.cn> - 1.0.0-10
- add patch: 0009-Update-README-info.patch

* Tue Dec 07 2021 tanyulong <tanyulong@kylinos.cn> - 1.0.0-9
- add patch:0008-add-and-update-chanageinfo.patch

* Fri Dec 03 2021 tanyulong <tanyulong@kylinos.cn> - 1.0.0-8
- add patch:0007-Update-Debian-changelog-info.patch

* Thu Dec 02 2021 tanyulong <tanyulong@kylinos.cn> - 1.0.0-7
- Update-changelog-and-format.patch

* Tue Nov 16 2021 tanyulong <tanyulong@kylinos.cn> - 1.0.0-6
- fix control files

* Mon Nov 1 2021  tanyulong <tanyulong@kylinos.cn> - 1.0.0-5
- add patch: 0004-fix-repair-bug.patch

* Mon Nov 1 2021  tanyulong <tanyulong@kylinos.cn> - 1.0.0-4
- After using rfkill to restart the soft connection, restart the system Bluetooth core dump

* Sat Oct 30 2021 tanyulong <tanyulong@kylinos.cn> - 1.0.0-3
- After the Bluetooth pairing between the mobile phone and the system has timed out, and ukui-bluetooth will have a segmentation error

* Fri Oct 29 2021 tanyulong <tanyulong@kylinos.cn> - 1.0.0-2
- For a machine without Bluetooth function,Bluetooth is pulled up by the session manager and exits abnormally

* Fri Aug 06 2021 tanyulong <tanyulong@kylinos.cn> - 1.0.0-1
- init packages 
